package sgc.portal.cw.cw0629.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0629.model.CW06290001U;
import sgc.portal.cw.cw0629.dto.CW06290001USearch;
import sgc.portal.cw.cw0629.service.CW06290001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0629")
public class CW06290001UController {
    private final CW06290001UService service;

    public CW06290001UController(CW06290001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06290001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06290001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW06290001U/save")
    public Map<String, String> save(@RequestBody List<CW06290001U> CW06290001U) {
    	return service.save(CW06290001U);
    }
    
    @PostMapping("/CW06290001U/updateYn")
    public Map<String, String> updateYn(@RequestBody List<CW06290001U> CW06290001U) {
    	return service.updateYn(CW06290001U);
    }
}
